Subject: RE: correct modifiersName and modifyTimeStamp behavior?

From: "Salter, Thomas A" <[email-masked]>
Date: Wed, 4 Aug 1999 11:54:45 -0400

In our X.500 implementation, we chose (b).  Our implementation pre-dated RFC
2251 and 2252 and so was based solely on the x.501 and x.511 comments.  

As I interpret x.501 (13.4.1), they meant "modify" in the generic sense, not
"changed with modifyEntry operation".  The modifyDN comment in X.511 is thus
definitive; the comment wouldn't be there if x.501 meant modifyEntry only.
(Don't you just love reading between the lines?)

 > -----Original Message-----
 > From: Mark Smith [mailto:[email-masked]]
 > Sent: Wednesday, August 04, 1999 10:39 AM
 > To: [email-masked]
 > Subject: correct modifiersName and modifyTimeStamp behavior?
 > 
 > 
 > When should an LDAP server add or update the values for modifiersName
 > and modifyTimeStamp within an entry?  Some choices:
 > 
 > (a) During all successful update operations except delete 
 > (add, modify,
 > moddn).
 > 
 > (b) During all successful modify and moddn operations (but 
 > not when the
 > entry is added).
 > 
 > (c) During successful modify operations only.
 > 
 > Our server does (a) but some people say we should be doing (b) or (c)
 > (and that clients that count on the presence of modifyTimeStamp or
 > modifiersName values within newly added entries are broken).  The
 > standards are not 100% clear.  RFCs 2251 and 2252 seem to 
 > say that (c)
 > is the right answer.  X.501 implies (c) but there is a note in X.511
 > under the modDN description that says "The modifyTimeStamp 
 > attribute is
 > not updated for entries subordinate to the renamed or moved 
 > entry." This
 > implies that modifyTimeStamp should be updated in the entry that is
 > renamed (choice b).
 > 
 > Opinions?  I'd like to see this clarified in future updates 
 > to RFC 2251
 > and/or 2252.
 >  
 > -- 
 > Mark Smith
 > iPlanet Directory Architect / Sun-Netscape Alliance
 > My words are my own, not my employer's.   Got LDAP?
 >